This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 525764 - Package Review: rftg - Race for the Galaxy card game
Package Review: rftg - Race for the Galaxy card game
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2009-09-25 12:21 EDT by Rex Dieter
Modified: 2013-03-13 01:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-30 08:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-09-25 12:21:47 EDT
Spec URL: <spec info here>
SRPM URL: <srpm info here>
Description: <description here>

SPEC: http://rdieter.fedorapeople.org/rpms/rftg/rftg.spec
SRPM: http://rdieter.fedorapeople.org/rpms/rftg/rftg-0.5.4-1.fc11.src.rpm
Description:
This is a project to create artificial intelligence opponent(s) for the
card game Race for the Galaxy. Currently, the base game and both released
expansions are supported.

Code is GPLv2+, but the artwork is (only) redistributable
Comment 1 Rex Dieter 2009-09-25 12:23:01 EDT
Blocking FE-Legal for verification
Comment 2 Rahul Sundaram 2009-09-25 14:50:00 EDT
APPROVED

The only comment I have to add is to consider removing the buildroot definition and removal of it in the install section unless to reduce spec clutter unless you are branching for EPEL as well.
Comment 3 Rahul Sundaram 2009-09-25 15:12:50 EDT
One more thing. It doesn't show up in the games menu for me in Rawhide.
Comment 4 Rex Dieter 2009-09-25 15:18:49 EDT
confirmed, I'll fix that before releasing any updates here
Comment 5 Rex Dieter 2009-09-25 15:22:02 EDT
found it (missing Exec= key in .desktop file).
Comment 6 Rex Dieter 2009-09-25 15:25:37 EDT
New Package CVS Request
=======================
Package Name: rftg
Short Description: Race for the Galaxy card game
Owners: rdieter
Branches: EL-5 F-10 F-11
InitialCC:
Comment 7 Kevin Fenzi 2009-09-25 22:44:22 EDT
Can we get the go-head from FE_LEGAL before doing cvs here?
Comment 8 Rex Dieter 2009-09-27 21:24:56 EDT
As often is the case when IANAL, I believe I firmly placed my foot in my mouth here, and based on precedent of other similar games in fedora, I'm dropping FE-LEGAL blocker.
Comment 9 Jason Tibbitts 2009-09-29 07:39:32 EDT
Well, one important question to ask is whether we actually have redistribution rights for the artwork.  As far as I know, upstream has redistribution rights, but that doesn't mean that they can transfer those rights to us.

Unfortunately the original spec link is 404, so I can't find upstream or the source to verify.

Given the history behind various online RFTG instances, with Rio Grande alternately requesting that they not happen and then allowing some, I think it's prudent to at least have someone who understands this kind of thing take a quick look over it.  But I'm not a lawyer, either.
Comment 10 Rex Dieter 2009-09-29 08:49:24 EDT
Good point, re-adding FE-LEGAL, and I'll contact the author in the meantime for clarification on redistribution rights.
Comment 11 Rex Dieter 2009-09-29 12:33:15 EDT
Restored, files to
http://rdieter.fedorapeople.org/rpms/rftg


In the meantime, here's what the README says:

LEGAL

The source code is my own creation and is placed under the GPL.  For
details, see the file COPYING.

The original game of Race for the Galaxy was designed by Tom Lehmann and
published by Rio Grande Games.  Permission to distribute the card and
goal images has been granted by Rio Grande Games.
                                                          

Which to my mortal non-lawyer eyes implies rights to distribute the artwork.
Comment 12 Jason Tibbitts 2009-09-29 14:00:03 EDT
What about selling the artwork?  What about using it in conjunction with other programs?  I don't think it's proper to assume that we have those rights, yet if we don't then the artwork isn't acceptable for Fedora.  All it seems that we know is that the author of the code has the rights to distribute the artwork in conjunction with his program.
Comment 13 Rex Dieter 2009-09-29 14:10:46 EDT
Rahul expressed his opinion that distributable, but unmodifiable content in games in fedora had precedent and was acceptable.

In the meantime, I'll contact the author for clarification/specifics on the licensing terms wrt artwork.
Comment 14 Jason Tibbitts 2009-09-29 14:18:33 EDT
I do not disagree with Rahul's opinion; my questions do not relate to modification.
Comment 15 Rex Dieter 2009-09-29 14:35:45 EDT
OK, if it matters then, http://www.keldon.net/rftg/ says,
Rio Grande Games is the publisher and holds all the copyrights for the images and card names. They have graciously given permission for me to distribute these, though they may not be used for any other purpose.
Comment 16 Rex Dieter 2009-09-30 08:38:37 EDT
It's as we feared, 
"I'm afraid that, as I understand my agreement with Rio Grande, only I
can legally distribute the card and other images included with the
game (though other people could pursue similar agreements, and have).
In addition, my permission expires when/if a commercial "official"
computer version of the game is released.  Supposedly such a thing is in
the works, though I have my doubts as to whether it will be completed.
I think that distributing RFTG as a Fedora (or Debian or other distro)
package is not advisable."

There you have it.  My bad, I should've double-checked with the author first, sorry for the time-waster folks.

Note You need to log in before you can comment on or make changes to this bug.